mariadb (1:11.8.2-1) unstable; urgency=medium

  MariaDB 11.8.2 was released on June 4th 2025 by the MariaDB Foundation
  (https://mariadb.org/mariadb-11-8-2-ga-now-available/). This is the first
  release in the 11.8 series to be announced GA (general availability). The
  11.8 series has long-term support with commitment from the MariaDB Foundation
  (https://mariadb.org/about/#maintenance-policy) to publish maintenance
  versions with fixes to software defects and security vulnerabilities until
  May 2030. Commercial extended support may be available past 2030 as well.

  The previous major long-term supported MariaDB release 11.4 was available only
  in Debian unstable and in some intermediate Ubuntu releases, so this 11.8 is
  the first new long-term supported MariaDB release available in long-term
  supported Debian and Ubuntu releases after MariaDB 10.11.

  To learn what is new in 11.8 it is recommended to read all the previous
  release notes since 10.11:
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-11-0/
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-11-1/
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-11-2/
  * https://mariadb.com/kb/en/what-is-mariadb-113/
  * https://mariadb.com/kb/en/what-is-mariadb-114/
    - also includes summary of 11.0-11.3
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-11-5/
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-11-6/
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-11-7/
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-11-8/
    - also includes summary of 11.5-11.7

  Notable new features:
  - New vector functions and system variables to allow MariaDB to store AI
    embeddings and search them efficiently: https://mariadb.com/kb/en/vectors/
  - Change default Unicode collation to uca1400_ai_ci, a modern Unicode
    collation with proper support for SMP characters (including emoji)
  - Charset narrowing optimization by default:
    https://mariadb.com/kb/en/charset-narrowing-optimization/
  - Unix socket authentication now supports an authentication_string, so the
    system username and database username can be different
  - New authentication plugin intended to be the default in a future release:
    https://mariadb.com/kb/en/authentication-plugin-parsec/
  - The TIMESTAMP range of values is extended and all of MariaDB validated to
    support running in 2038
  - New native functions UUID_v4 and UUID_v7 to make tables that have UUIDs
    use less space and run operations faster
  - Multiple extensions to the JSON_* functions
  - Major improvements to the optimizer:
    https://mariadb.com/kb/en/the-optimizer-cost-model-from-mariadb-11-0/
  - The 'mariadb' client has a new argument --show-query-costs to show the
    query costs after every statement, making optimizing queries easier
  - InnoDB change buffering removed:
    https://mariadb.com/kb/en/innodb-change-buffering/
  - Extended features in SQL_MODE='ORACLE' to help migrations from Oracle
  - Online schema changes by default
  - Automatic reclaiming of unused system table space and temporary table space
  - Most temporary tables now visible in SHOW TABLES and SHOW TABLE STATUS
  - New SHOW CREATE SERVER statement for easier replication management
  - All binlog* variables now visible as system variables
  - New database-level privilege, SHOW CREATE ROUTINE that allows one to see the
    routine definition even if the user isn't the routine owner
  - New view sys.privileges_by_table_by_level
  - TLS encryption use by default expanded. Use --disable-ssl or
    --disable-ssl-verify-server-cert to revert to the old behavior.
  - New 'mariadb' client arguments --ssl-fp and -ssl-fplist to ensure the remote
    server certificate matches a predefined fingerprint
  - New mariadb-dump and mariadb-import option --parallel for faster batch
    operations and --dir for easier large database management
  - The xtrabackup_* files have been renamed to mariadb_backup_*
  - Multiple occurrences of 'MySQL' has been renamed to 'MariaDB' in
    documentation, user visible strings and commands

  Things to consider when upgrading from 10.11 to 11.8 are listed on the page
  https://mariadb.com/kb/en/upgrading-from-mariadb-10-11-to-mariadb-11-4/ and
  https://mariadb.com/kb/en/upgrading-from-mariadb-11-4-to-mariadb-11-8/.

  Removed in 11.8 (compared to 10.11):
  - date-format, datetime-format, time-format
  - debug-no-thread-alarm
  - innodb-change-buffer-max-size, innodb-change-buffering
  - innodb-defragment, innodb-defragment-fill-factor,
    innodb-defragment-fill-factor-n-recs, innodb-defragment-frequency,
    innodb-defragment-n-pages, innodb-defragment-stats-accuracy
  - max-tmp-tables (use 'max-temp-*' instead)
  - old-alter-table (use 'alter-algorithm' instead)
  - wsrep-causal-reads, wsrep-load-data-splitting

  Deprecated server variables (marked as deprecated in 11.8):
  - alter-algorithm
  - big-tables
  - binlog-optimize-thread-scheduling
  - innodb-file-per-table
  - innodb-flush-method
  - innodb-prefix-index-cluster-optimization
  - keep-files-on-create
  - language (use 'lc-messages-dir' instead)
  - log-slow-admin-statements (use 'log-slow-filter' instead)
  - long-query-time (use 'log-slow-query-time' instead)
  - old (use 'old-mode' instead)
  - optimizer-adjust-secondary-key-costs
  - secure-auth

  Changed behavior in server variables in 11.8 (compared to 10.11):
  - binlog-row-image has new available option: FULL_NODUP
  - collation-server defaults now to 'utf8mb4_uca1400_ai_ci'
  - histogram-type defaults now to 'JSON_HB'
  - innodb-doublewrite now accepts 'ON', 'OFF', 'fast' (default remains 'ON')
  - innodb-prefix-index-cluster-optimization defaults now to FALSE (also
    deprecated)
  - innodb-snapshot-isolation defaults now to TRUE
  - innodb-undo-tablespaces defaults now to 3
  - old-mode has new available options: LOCK_ALTER_TABLE_COPY, OLD_FLUSH_STATUS,
    SESSION_USER_IS_USER
  - optimizer-switch has new available option: sargable_casefold
  - optimizer-switch defaults now include: not_null_range_scan=off,
    hash_join_cardinality=on, cset_narrowing=on, sargable_casefold=on
    (and no longer any engine_condition_pushdown)
  - ssl defaults to 'on'; use --skip-ssl to disable

  New server variables in 11.8 (compared to 10.11):
  - New variables to control binary logs and GTID: binlog-gtid-index,
    binlog-gtid-index-page-size, binlog-gtid-index-span-min (control GTID
    indexing for faster lookups); binlog-large-commit-threshold (improve
    concurrency for large transactions); binlog-legacy-event-pos (add
    end_log_pos to all events for compatibility); binlog-space-limit,
    max-binlog-total-size (limit total disk space used by binary logs)
  - block-encryption-mode: Default mode for AES_ENCRYPT/AES_DECRYPT functions
  - character-set-collations: Override default collations for character sets
  - innodb-data-file-buffering, innodb-data-file-write-through,
    innodb-log-file-write-through: Control file system caching and write-through
    behavior for InnoDB data and log files
  - innodb-truncate-temporary-tablespace-now: Trigger immediate shrinking of the
    temporary tablespace
  - log-slow-always-query-time: Set a time threshold above which slow queries
    are *always* logged, regardless of rate limits
  - max-tmp-session-space-usage, max-tmp-total-space-usage: Limit temporary
    file/table usage per session and globally
  - mhnsw-default-distance, mhnsw-default-m, mhnsw-ef-search,
    mhnsw-max-cache-size: Control parameters for the MHNSW vector index used
    for AI embeddings
  - optimizer-disk-read-cost, optimizer-disk-read-ratio,
    optimizer-index-block-copy-cost, optimizer-key-compare-cost,
    optimizer-key-copy-cost, optimizer-key-lookup-cost,
    optimizer-key-next-find-cost, optimizer-row-copy-cost,
    optimizer-row-lookup-cost, optimizer-row-next-find-cost,
    optimizer-rowid-compare-cost, optimizer-rowid-copy-cost,
    optimizer-scan-setup-cost, optimizer-where-cost: Fine-tune the optimizer's
    cost model calculations for various operations
  - redirect-url: URL for redirecting clients to another server
  - slave-abort-blocking-timeout: Timeout for slave DDL waiting on blocking
    queries
  - slave-connections-needed-for-purge: Minimum slaves needed for automatic
    binlog purge based on size/time limits

 -- Otto Kekäläinen <otto@debian.org>  Sun, 08 Jun 2025 11:19:07 +0300

mariadb (1:10.11.2-1) unstable; urgency=medium

  MariaDB 10.11.2 was released on February 16th 2023 by the MariaDB Foundation
  (https://mariadb.org/mariadb-10-11-2-ga-now-available/). This is the first
  release in the 10.11 series to be announced GA (general availability). The
  10.11 series has long-term support with commitment from the MariaDB Foundation
  (https://mariadb.org/about/#maintenance-policy) to publish maintenance
  versions with fixes to software defects and security vulnerabilities until
  February 2028.

  The previous major releases (10.7, 10.8, 10.9, 10.10) were not long-terms
  supported versions and thus not imported to Debian. To learn what is new in
  10.11 it is recommended to read all the release notes:

  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-1011/
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-1010/
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-109/
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-108/
  * https://mariadb.com/kb/en/changes-improvements-in-mariadb-107/

  Notable new features:
  - New datatypes UUID and INET4
  - New functions SFORMAT (text formatting), NATURAL_SORT_KEY, RANDOM_BYTES and
    several related to JSON
  - New keyword AUTO in system versioned tables for partitioning
    (https://mariadb.com/kb/en/system-versioned-tables/#automatically-creating-partitions)
  - Unicode Collation Algorithm (UCA) upgrade to 14.0.0
  - New privileges 'READ ONLY ADMIN' and 'GRANT TO PUBLIC'
    (https://mariadb.org/grant-to-public-in-mariadb/)
  - password_reuse_check plugin (part of mariadb-server package)
  - Hashicorp Key Management Plugin for implementing encryption using keys
    stored in the Hashicorp Vault KMS (mariadb-plugin-hashicorp-key-management
    package)

  Important packaging change: Compression libraries have been split into
  separate packages named mariadb-provider-plugin-(bzip2/lz4/lzma/lzo/snappy).
  If a non-zlib compression algorithm was used in InnoDB or Mroonga before
  upgrading to 10.11, those tables will be unreadable until the appropriate
  compression library is installed.

  Things to consider when upgrading from 10.6 to 10.11 are listed on the page
  https://mariadb.com/kb/en/upgrading-from-mariadb-10-6-to-mariadb-10-11/.

  New server variables in 10.11 (compared to 10.6):
  - binlog-alter-two-phase: When set, split ALTER at binary logging into 2
    statements: START ALTER and COMMIT/ROLLBACK ALTER. Defaults to 'FALSE'.
  - innodb-log-file-buffering: Whether the file system cache for ib_logfile0 is
    enabled
  - optimizer-extra-pruning-depth: If the optimizer needs to enumerate join
    prefix of this size or larger, then it will try aggressively prune away the
    search space.
  - log-slow-min-examined-row-limit: Don't write queries to slow log that
    examine fewer rows than that
  - log-slow-query: Log slow queries to a table or log file. Defaults logging to
    a file 'hostname'-slow.log or a table mysql.slow_log if --log-output=TABLE
    is used. Must be enabled to activate other slow log options.
  - log-slow-query-file: Log slow queries to given log file. Defaults logging to
    'hostname'-slow.log. Must be enabled to activate other slow log options
  - log-slow-query-time: Log all queries that have taken more than
    log_slow_query_time seconds to execute to the slow query log file. The
    argument will be treated as a decimal value with microsecond precision
  - slave-max-statement-time: A query that has taken more than
    slave_max_statement_time seconds to run on the slave will be aborted. The
    argument will be treated as a decimal value with microsecond precision. A
    value of 0 (default) means no timeout
  - system-versioning-insert-history: Allows direct inserts into ROW_START and
    ROW_END columns if secure_timestamp allows changing @@timestamp
  - wsrep-allowlist: Allowed IP addresses split by comma delimiter
  - wsrep-status-file: wsrep status output filename

  Changed behavior in server variables in 10.11 (compared to 10.6):
  - explicit-defaults-for-timestamp: enabled by default
  - optimizer-prune-level: defaults to 2 (instead of 1)
  - old-mode: new options IGNORE_INDEX_ONLY_FOR_JOIN and COMPAT_5_1_CHECKSUM
  - wsrep-mode: new option BF_ABORT_MARIABACKUP
  - read-only: changing value requires 'READ ONLY ADMIN' privilege

  One of the most important performance related server variables
  'innodb_log_file_size' is now dynamic so it can be changed without having to
  restart the server.

  Removed in 10.11 (compared to 10.6):
  - innodb-log-write-ahead-size: the physical block size of the underlying
    storage is instead detected and used
  - wsrep-replicate-myisam: use wsrep_mode instead
  - wsrep-strict-ddl: use wsrep_mode instead

  Deprecated server variables:
  - innodb_change_buffering
  - innodb-buffer-pool-chunk-size: defaults to 0 (instead of 134217728) in
    server variables because the server automatically sizes it
  - keep_files_on_create: orphan files are now deleted automatically, so this
    setting should never be needed

  Note also that the MariaDB client settings have changed to now use SSL/TLS
  by default.

 -- Otto Kekäläinen <otto@debian.org>  Thu, 16 Feb 2023 23:53:02 -0800

mariadb (1:10.11.1-1) unstable; urgency=medium

  Version suffixed packages (e.g. mariadb-server-10.6) have now been deprecated
  as it made maintenance complicated and there was no known use cases or users
  of the naming scheme, as multiple different major version MariaDB server
  packages could not be co-installed anyway and source or the 'mariadb-server'
  and 'mariadb-client' packages is easiest controlled by repositories and
  package versioning, not versions in package *names*.

 -- Otto Kekäläinen <otto@debian.org>  Mon, 02 Jan 2023 23:42:58 -0800

mariadb-10.6 (1:10.6.4-1) unstable; urgency=medium

  Import new upstream release MariaDB 10.6.4
  - 10.6 introduces one new status variable:
    * Innodb_buffer_pool_pages_lru_freed
      (https://mariadb.com/kb/en/status-variables-added-in-mariadb-106/)
    * Resultset_metadata_skipped
      (undocumented upstream https://mariadb.com/docs/reference/mdb/status-variables/Resultset_metadata_skipped/)

    Read more at https://mariadb.com/kb/en/status-variables-added-in-mariadb-106/

  - 10.6 introduces several new server variables:
    * binlog_expire_logs_seconds
    * innodb_deadlock_report
    * innodb_read_only_compressed

    Read more at https://mariadb.com/kb/en/system-variables-added-in-mariadb-106/

  - 10.6 removes several server variables:
    * innodb_adaptive_max_sleep_delay
    * innodb_background_scrub_data_*
    * innodb_buffer_pool_instances
    * innodb_commit_concurrency
    * innodb_concurrency_tickets
    * innodb_file_format
    * innodb_large_prefix
    * innodb_lock_schedule_algorithm
    * innodb_log_checksums
    * innodb_log_compressed_pages
    * innodb_log_files_in_group
    * innodb_log_optimize_ddl
    * innodb_page_cleaners
    * innodb_replication_delay (*not* related to https://mariadb.com/kb/en/delayed-replication/)
    * innodb_scrub_*
    * innodb_sync_array_size
    * innodb_thread_*
    * innodb_undo_logs

    Read more at https://mariadb.com/kb/en/upgrading-from-mariadb-105-to-mariadb-106/#options-that-have-been-removed-or-renamed

  - 10.6 introduces new default server variable values:
    * character sets utf8 -> utf8mb3
    * innodb_flush_method fsync -> O_DIRECT
    * innodb_use_native_aio ON -> OFF
    * old_mode (none) -> UTF8_IS_UTF8MB3

  - 10.6 introduces new 'sys' database and several 'sys' procedures

    Read more at https://mariadb.com/kb/en/sys-schema/

  - Read more about above changes at
    https://mariadb.com/kb/en/upgrading-from-mariadb-105-to-mariadb-106/
    https://mariadb.com/kb/en/changes-improvements-in-mariadb-106/

  - Update libmariadb folder to match the one in MariaDB 10.6.4
    (MariaDB Connector C 10.6.4)

 -- Otto Kekäläinen <otto@debian.org>  Mon, 06 Sep 2021 22:55:39 -0700

mariadb-10.5 (1:10.5.5-1) unstable; urgency=medium

   The latest version 10.5 of the MariaDB Server came out in June 2020 and is
   guaranteed to have security releases at least until summer 2025.

   For more information on what is new in MariaDB 10.5 check out:
   https://speakerdeck.com/ottok/debconf-2020-whats-new-in-mariadb-server-10-dot-5-and-galera-4
   or video from https://peertube.debian.social/videos/watch/bb80cf53-d9ba-4ed9-b472-a21238fb67f5.

   Quick summary:
   - Service name is now 'mariadb', e.g. /etc/init.d/mariadb and systemctl mariadb
   - The main server binary is now running as 'mariadbd' instead of old 'mysqld'
   - Many commands are now mariadb-* instead of old mysql*, but old names
     continue to work as symlinks
   - Referencing the /etc/mysql/debian.cnf file is not advised anymore. It will
     be deprecated in a future Debian release and has been obsolete anyway for
     several years now since MariaDB in Debian introduced Unix socket
     authentication for the root account in 2015.

   MariaDB 10.5 has been tested to be backwards compatible with all previous
   versions of MariaDB and all previous versions of MySQL up until version 5.7.
   Note that MySQL 8.0 introduces significant backwards incompatible changes
   compared to MySQL 5.7, and thus in-place binary upgrades from MySQL 8.0 to
   MariaDB 10.5 are not possible, but sysadmins need to upgrade by exporting and
   importing SQL dumps of their databases.

   If you encounter any bugs, please make sure your bug report is of highest
   standards so we can quickly reproduce and fix the issue. Even better if you
   find the solution yourself, and can submit it as a Merge Request at
   https://salsa.debian.org/mariadb-team/mariadb-10.5/

   If you appreciate the Debian packaging work done, please star us on Salsa!

 -- Otto Kekäläinen <otto@debian.org>  Thu, 17 Sep 2020 14:37:47 +0300
